// ATT器件驱动(GPIO模拟)
// 杭州秒寻科技有限公司
// 周涛
// 2023-11-21

#ifndef DRIVERATTGPIO_H
#define DRIVERATTGPIO_H

#include "sysdef.h"

// V1管脚
#define DRIVER_ATT_GPIO_V1_CLK RCC_AHB1Periph_GPIOA
#define DRIVER_ATT_GPIO_V1_PORT GPIOA
#define DRIVER_ATT_GPIO_V1_PIN GPIO_Pin_3

// V2管脚
#define DRIVER_ATT_GPIO_V2_CLK RCC_AHB1Periph_GPIOA
#define DRIVER_ATT_GPIO_V2_PORT GPIOA
#define DRIVER_ATT_GPIO_V2_PIN GPIO_Pin_4

// V3管脚
#define DRIVER_ATT_GPIO_V3_CLK RCC_AHB1Periph_GPIOA
#define DRIVER_ATT_GPIO_V3_PORT GPIOA
#define DRIVER_ATT_GPIO_V3_PIN GPIO_Pin_7

// V4管脚
#define DRIVER_ATT_GPIO_V4_CLK RCC_AHB1Periph_GPIOB
#define DRIVER_ATT_GPIO_V4_PORT GPIOB
#define DRIVER_ATT_GPIO_V4_PIN GPIO_Pin_0

// V5管脚
#define DRIVER_ATT_GPIO_V5_CLK RCC_AHB1Periph_GPIOE
#define DRIVER_ATT_GPIO_V5_PORT GPIOE
#define DRIVER_ATT_GPIO_V5_PIN GPIO_Pin_7

// V6管脚
#define DRIVER_ATT_GPIO_V6_CLK RCC_AHB1Periph_GPIOE
#define DRIVER_ATT_GPIO_V6_PORT GPIOE
#define DRIVER_ATT_GPIO_V6_PIN GPIO_Pin_10

// 供外部使用的接口
void driver_attgpio_init();
uint8 driver_attgpio_set_att(uint8 byAtt);

#endif
